Loading...
Searching...
No Matches
emojidef.h File Reference

Definitions of internal data structure and function for extended pictographs. More...

`#include "unibreakdef.h"`
Include dependency graph for emojidef.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | ExtendedPictograpic
| Struct for entries of extended pictographic properties. More...

## Functions

bool | ub_is_extended_pictographic (utf32_t ch)
| Finds out if a codepoint is extended pictographic.

## Detailed Description

Definitions of internal data structure and function for extended pictographs.

Author
  Andreas Röver

## Function Documentation

## ub_is_extended_pictographic()

bool ub_is_extended_pictographic | ( | utf32_t | ch | ) |

Finds out if a codepoint is extended pictographic.

Parameters

  [in] | ch | character to check

Returns
  `true` if the codepoint is extended pictographic; `false` otherwise